
Redmine - Feature #3945

Shorten revision ID for git events

2009-09-30 00:39 - Corry Haines

Status: Closed Start date: 2009-09-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Using the full SHA1 hash in the activity tab is really annoying. They take up a tremendous amount of screen space, for no added

value, as 7-8 characters from the hash is enough to ID a revision in most projects.

Attached is a patch that achieves the shortening effect, in the same way that the repository file browser does (basically truncating to

the first 8 characters from the revision id).

Ideally this should be done by asking Git for what it thinks the short id is for each revision, as it is aware of how many bits are needed

to ensure unique-ness. But I have no idea how to do that, as I am new to Ruby.

Related issues:

Is duplicate of Redmine - Feature #6092: Truncate Git revision labels in Acti... Closed 2010-08-09

History

#1 - 2009-10-01 00:32 - Eric Davis

- Category set to SCM

#2 - 2010-04-25 15:52 - Matthias Kuehn

Also see #3244. A review of the patch included would be nice.

#3 - 2010-07-01 13:14 - Kennon Ballou

+1

This is extremely annoying in the activity view when you have alot of commits. I'm looking into this to see if there is a cleaner way of doing this, as

initial poster suggested using git instead of arbitrarily truncating the id.

#4 - 2010-12-15 05:10 - Toshi MARUYAMA

#3244, #3945 and #6092 are duplicate.

#5 - 2011-01-02 07:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

This issue duplicates #6092.

Files

rev_id_len.patch 820 Bytes 2009-09-29 Corry Haines
